package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxInnovationDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxReportDto;

import java.util.List;

/**
 * 微创新报表
 * Created by ADMS on 2018/8/15.
 */
public interface WcxReportMapper {
    /**
     * 查询项目报表数据
     * @param param
     * @return
     */
    List<WcxReportDto> selectProjectReportPageData(WcxInnovationDto param);

    /**
     * 查询对应的项目报表
     * @param param
     * @return
     */
    Long selectProjectReportPageCount(WcxInnovationDto param);

    /**
     * 查询对应的区域报表
     * @param param
     * @return
     */
    List<WcxReportDto> selectRegionReportPageData(WcxInnovationDto param);

    /**
     * 查询区域总条数
     * @param param
     * @return
     */
    Long selectRegionReportPageCount(WcxInnovationDto param);

    /**
     * 查询基础业务线数据
     * @param param
     * @return
     */
    List<WcxReportDto> findBaselineReportPageData(WcxInnovationDto param);

    /**
     * 查询基础业务线数据数量
     * @param param
     * @return
     */
    Long findBaselineReportPageCount(WcxInnovationDto param);
}
